import { useState } from "react";
import { databases, ID, databaseId, membersCollectionId } from "../lib/appwrite";

export default function MemberForm() {
  const [form, setForm] = useState({
    name: "",
    email: "",
    phone: "",
    role: "",
    joinDate: "",
  });

  const handleChange = (e) => {
    setForm({ ...form, [e.target.name]: e.target.value });
  };

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      await databases.createDocument(
        databaseId,
        membersCollectionId,
        ID.unique(),
        form
      );
      alert("Member added!");
    } catch (err) {
      console.error("Failed to add member:", err);
    }
  };

  return (
    <form onSubmit={handleSubmit}>
      <input name="name" onChange={handleChange} placeholder="Name" />
      <input name="email" onChange={handleChange} placeholder="Email" />
      <input name="phone" onChange={handleChange} placeholder="Phone" />
      <input name="role" onChange={handleChange} placeholder="Role" />
      <input type="date" name="joinDate" onChange={handleChange} />
      <button type="submit">Add Member</button>
    </form>
  );
}
