'use client';
import { account } from "../lib/appwrite";
import { useRouter } from 'next/navigation';

export default function Navbar() {
  const router = useRouter();

  const handleLogout = async () => {
    await account.deleteSession('current');
    router.push('/login');
  };

  return (
    <nav className="bg-white shadow px-4 py-3 flex justify-between items-center">
      <span className="font-bold text-lg">Company Portal</span>
      <button
        onClick={handleLogout}
        className="bg-red-500 text-white px-4 py-1 rounded hover:bg-red-600"
      >
        Logout
      </button>
    </nav>
  );
}
