'use client';

import { useEffect } from "react";
import { useRouter } from "next/navigation";
import { getCurrentUser, isAdmin } from "@/utils/auth";

export default function ProtectedRoute({ children, requireAdmin = false }) {
  const router = useRouter();

  useEffect(() => {
    const protect = async () => {
      const user = await getCurrentUser();
      if (!user) {
        router.push("/login");
      } else if (requireAdmin && !isAdmin(user.email)) {
        router.push("/pages/unauthorized"); // Optional unauthorized page
      }
    };
    protect();
  }, [router, requireAdmin]);

  return <>{children}</>;
}
