'use client';
import { useEffect, useState } from 'react';
import { account } from"../../lib/appwrite";
import { useRouter } from 'next/navigation';

export default function DashboardPage() {
  const router = useRouter();
  const [user, setUser] = useState(null);

  useEffect(() => {
    const fetchUser = async () => {
      try {
        const res = await account.get();
        setUser(res);
      } catch (err) {
        router.push('/login'); // Not logged in, redirect
      }
    };
    fetchUser();
  }, [router]);

  if (!user) return <p className="text-center mt-10">Checking auth...</p>;

  return (
    <div className="p-6">
      <h1 className="text-2xl font-bold mb-4">Welcome, {user.name || user.email} 👋</h1>
      <p>This is your dashboard.</p>
    </div>
  );
}
