'use client';

import { useEffect, useState } from "react";
import { getCurrentUserWithRole } from "../utils/auth";

export default function UserDashboard() {
  const [user, setUser] = useState(null);

  useEffect(() => {
    getCurrentUserWithRole().then(setUser);
  }, []);

  if (!user) return <p>Loading...</p>;

  return (
    <div className="p-6">
      <h1 className="text-2xl font-bold">Welcome, {user.name}</h1>
      <p>Email: {user.email}</p>
      <p>Role: {user.role}</p>
    </div>
  );
}
