import { Client, Account, Databases, Query } from "appwrite";

const client = new Client()
  .setEndpoint("https://cloud.appwrite.io/v1") // Update with your Appwrite endpoint
  .setProject("67e1445400053dca1d9b");

const account = new Account(client);
const databases = new Databases(client);

export async function getCurrentUserWithRole() {
    try {
      const user = await account.get();
  
      const dbId = "67e1452b00016444b37f";
      const collectionId = "67f0f1200006897dc192";
  
      const response = await databases.listDocuments(dbId, collectionId, [
        Query.equal("userId", user.$id),
      ]);
  
      console.log("Query result:", response); // 🔍 Check this in console
  
      const userDoc = response.documents[0];
  
      return {
        name: user.name,
        email: user.email,
        role: userDoc?.role || "unknown",
      };
    } catch (error) {
      console.error("Error fetching user with role:", error);
      return null;
    }
  }
  
